import * as d from '../declarations';
export declare const consoleError: (e: any) => void;
export declare function resetTaskQueue(): void;
export declare const tick: {
    then(cb: Function): void;
};
export declare function flushTicks(): Promise<{}>;
export declare function writeTask(cb: d.RafCallback): void;
export declare function flushQueue(): Promise<{}>;
export declare function flushAll(): Promise<void>;
export declare function loadModule(cmpMeta: d.ComponentRuntimeMeta, _hostRef: d.HostRef, _hmrVersionId?: string): Promise<any>;
export declare function flushLoadModule(bundleId?: string): Promise<{}>;
export declare function registerModule(bundleId: string, Cstr: any): void;
